Subject: RE: [Speermint] comments ondraft-creighton-khandpur-speermint-srv-naptr-use-00

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 24 Aug 2006 13:20:34 -0400

I didn't see the notice come through of the draft being online.  For
those who need a link, see
http://www.ietf.org/internet-drafts/draft-creighton-khandpur-speermint-s
rv-naptr-use-00.txt

Jason 

> -----Original Message-----
> From: Andrew Newton [mailto:[email-masked]] 
> Sent: Thursday, August 24, 2006 12:51 PM
> To: [email-masked]
> Subject: [Speermint] comments 
> ondraft-creighton-khandpur-speermint-srv-naptr-use-00
> 
> I have a few comments on 
> draft-creighton-khandpur-speermint-srv-naptr-use-00.
> 
> 1) Figure 1 incorrectly describes how DNS works.  In 
> addition, wording in
> 3.2 "SPP2 MUST return at least three [NAPTR] records" makes 
> the same mistake.  DNS servers don't consult SIP proxies for 
> DNS records, nor do SIP proxies return DNS records.
> 
> 2) MUST "SIPS+D2T" does not apply to indirect peering.  Why 
> is this exception made?  Shouldn't the advice be, "SIPS+D2T" 
> MUST be returned in the absence of any security at a lower 
> layer?  Either way, there should be text explaining the reasoning.
> 
> 3) Section 5 indicates that TTLs for SRV records should be 1 
> hour, apparently because they are more dynamic.  There is no 
> explanation of why they would be more dynamic.  I have my 
> suspicions, but a BCP ought to really explain the reasons 
> behind the recommendations.  The same goes for the MUST as it 
> is applied to the weight of the SRV record.
> 
> 4) There is no mention of having DNS servers returning A 
> records with the SRV response in order to cut down on round 
> trips.  Nor is there discussion on using EDNS0 to alleviate 
> truncation.  Finally, there is no mention of DNSSEC.
> 
> -andy
> 
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint